- entityDefinitions:
  - IDM_Method__is__CD: '{585bc9cd-ce75-4b27-a111-35e670bb0fa4}'
  - IDMB_Method__is__CD: '{3ab42255-7437-4912-9a61-91d72f4c6373}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - evaluateBooleanExpressionMethod: '&IDM_Method__is__CD;'
    forClassId: '&IDC_Method;'
    verb: 'is'
    name: 'CD'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    returnsAttributeId: '&IDA_MethodIsOfTypeSpecified;'
    source: '&IDMB_Method__get__Parent_Class;'
    operator: '&IDI_RelationalOperator_ExactMatch;'
    target: '&IDC_CalculateDateMethod;'
    
  - returnAttributeMethodBinding: '&IDMB_Method__is__CD;'
    executesMethod: '&IDM_Method__is__CD;'
